%define lib_major       1
%define lib_name        %mklibname xfcegui4_ %{lib_major}

Summary: 	Various GTK+ widgets for XFce.
Name: 		libxfcegui4
Version: 	4.0.6
Release: 	1mdk
License:	LGPL
URL: 		http://www.xfce.org/
Source0: 	%{name}-%{version}.tar.bz2
Group: 		Development/Other
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires: 	gtk2-devel >= 2.0.6
BuildRequires:	libxfce4util-devel >= %{version}

%description
Various GTK+ widgets for XFce.

%package -n %{lib_name}
Summary:	Gui libraries for XFce.
Group:		Development/Other

%description -n %{lib_name}
Gui libraries for XFce.

%package -n %{lib_name}-devel
Summary:	Libraries and header files for the libxfcegui library.
Group:		Development/Other
Requires:	%{lib_name} = %{version}-%{release}
Provides:	libxfcegui4-devel

%description -n %{lib_name}-devel
Libraries and header files for the libxfcegui library.

%prep
%setup -q

%build
# xinerama needs testing, see README
%configure2_5x --enable-xinerama
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std


%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig


%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/xfce4/libxfcegui4


%changelog
* Mon Jul 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sat Apr 17 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5

* Fri Apr 09 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

* Thu Jan 08 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.3-1mdk
- 4.0.3

* Mon Dec 22 2003 Charles A Edwards <eslrahc@mandrake.org> 4.0.2-1mdk
- 4.0.2
- use configure2_5 and makeinstall_std

* Fri Nov 14 2003 Marcel Pol <mpol@gmx.net> 4.0.1-1mdk
- 4.0.1

* Mon Nov 10 2003 Marcel Pol <mpol@gmx.net> 4.0.0-1mdk
- initial mandrake package

